DataConversionException (JDOM v1.1.1)
Keywords: org.jdom.DataConversionException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom
Class DataConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jdom.JDOMException
                  org.jdom.DataConversionException

All Implemented Interfaces:
  java.io.Serializable

    public class DataConversionException

extends JDOMException

Thrown when a data conversion from a string to value type fails, such as can happen with the `Attribute` convenience getter functions.

Version:
  $Revision: 1.14 $, $Date: 2007/11/10 05:28:58 $
Author:
  Brett McLaughlin, Jason Hunter
See Also:
  Serialized Form

Constructor Summary
`DataConversionException(java.lang.String name, java.lang.String dataType)` Constructs an exception where the named construct couldn't be converted to the named data type.

Method Summary

Methods inherited from class org.jdom.JDOMException
`getCause, getMessage, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataConversionException

    public DataConversionException(java.lang.String name,
                                   java.lang.String dataType)

  Constructs an exception where the named construct couldn't be converted to the named data type.

  Parameters:
    `name` - name of the construct whose value failed conversion
    `dataType` - type the conversion was attempting to create

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Jason Hunter, Brett McLaughlin. All Rights Reserved.